package com.chelvc.cloud.admin.copier;

import com.chelvc.cloud.admin.vo.PersonalVO;
import com.chelvc.cloud.uc.api.dto.EmployeeDetailDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 员工对象拷贝接口
 *
 * @author Woody
 * @date 2022/8/28
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface EmployeeCopier {
    /**
     * 对象拷贝接口实例
     */
    EmployeeCopier INSTANCE = Mappers.getMapper(EmployeeCopier.class);

    /**
     * 个人信息拷贝
     *
     * @param employee 员工详细信息
     * @return 个人信息
     */
    PersonalVO employee2personal(EmployeeDetailDTO employee);
}
